# $Revision: 1.66 $, $Date: 2006/05/11 20:40:24 $
Summary:	at job spooler
Summary(de):	at-Job-Spooler
Summary(es):	Gestionario de tareas
Summary(fr):	Gestionnaire de taches at
Summary(pl):	Demon kontroli zada
Summary(pt_BR):	Spooler de jobs at
Summary(ru):	    
Summary(tr):	 dzenleyici
Summary(uk):	̦  צ  
Name:		at
Version:	3.1.8
Release:	31
License:	GPL
Group:		Daemons
Source0:	ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/%{name}-%{version}.tar.gz
# Source0-md5:	ded9b0e4d153cf073349e75027d09e8e
Source1:	%{name}d.init
Source2:	%{name}.sysconfig
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	3a35eff8786f0c91cd3193cee9d9a076
Patch0:		%{name}-lockfile.patch
Patch1:		%{name}-install.patch
Patch2:		%{name}-man.patch
Patch3:		%{name}.patch
Patch4:		%{name}-typo.patch
Patch5:		%{name}-sigchld.patch
Patch6:		%{name}-sendmail.patch
Patch7:		%{name}-debian.patch
Patch8:		%{name}-buflen.patch
Patch9:		%{name}-configure-no_cron.patch
Patch10:	%{name}-pld_noenglish_man.patch
Patch11:	%{name}-heapcorruption.patch
Patch12:	%{name}-open.patch
Patch13:	%{name}-dst.patch
Patch14:	%{name}-env-tng.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires:	/usr/lib/sendmail
Requires:	rc-scripts >= 0.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/at

%description
at and batch read commands from standard input or from a specified
file. at allows you to specify that a command will be run at a
particular time (now or a specified time in the future). Batch will
execute commands when the system load levels drop to a particular
level. Both commands use /bin/sh to run the commands.

%description -l de
Stapelverarbeitung von Lesebefehlen von einer Standard- oder einer
genannten Datei zu einem spteren Zeitpunkt unter Verwendung von
/bin/sh.

%description -l es
At y batch leen comandos de la entrada padrn o de un archivo
especificado que son ejecutados ms tarde, usando /bin/sh.

%description -l fr
at et batch lisent, sur l'entre standard ou dans un fichier, des
commandes qui doivent tre excutes plus tard en utilisant /bin/sh.

%description -l pl
at i batch czytaj komendy ze standardowego wejcia lub specyficznego
pliku, ktre s nastpnie wykonywane o okrelonej godzinie, przy
pomocy /bin/sh.

%description -l pt_BR
at e batch lem comandos da entrada padro ou de um arquivo
especificado que so executados mais tarde, usando /bin/sh.

%description -l ru
at  batch        .
at       (  
). batch       
 .    /bin/sh  
 .

%description -l tr
at ve batch /bin/sh kabuunu kullanarak, belli bir saatte altrmak
zere standart giriden ya da bir dosyadan komut okur.

%description -l uk
at  batch   ڦ    
. At Ѥ      (  
). batch դ      
 . צ   /bin/sh 
  .

%prep
%setup -q -a3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p0
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--with-atspool=/var/spool/at/spool \
	--with-jobdir=/var/spool/at \
	--with-etcdir=%{_sysconfdir} \
	--with-daemon_username=root \
	--with-daemon_groupname=root
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	IROOT=$RPM_BUILD_ROOT

install at.deny $RPM_BUILD_ROOT%{_sysconfdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/atd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/atd

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{atq,atrm,batch}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/at_deny.5

echo .so at.1 > $RPM_BUILD_ROOT%{_mandir}/man1/atq.1
echo .so at.1 > $RPM_BUILD_ROOT%{_mandir}/man1/atrm.1
echo .so at.1 > $RPM_BUILD_ROOT%{_mandir}/man1/batch.1

echo .so at_allow.5 > $RPM_BUILD_ROOT%{_mandir}/man5/at_deny.5
echo .so at_allow.5 > $RPM_BUILD_ROOT%{_mandir}/man5/at_access.5

for a in es fi fr hu id it ja ko pl; do
	install -d $RPM_BUILD_ROOT%{_mandir}/{$a,$a/man{1,5,8}}
	for b in $a/man[158]/*; do
		install $b $RPM_BUILD_ROOT%{_mandir}/$b
	done
done

touch $RPM_BUILD_ROOT/var/spool/at/.SEQ

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add atd
touch /var/spool/at/.SEQ
%service atd restart "atd daemon"

%preun
if [ "$1" = "0" ] ; then
	%service atd stop
	/sbin/chkconfig --del atd
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README timespec
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(754,root,root) /etc/rc.d/init.d/atd
%attr(755,root,root) %{_sbindir}/*
%attr(4755,root,root) %{_bindir}/at
%attr(755,root,root) %{_bindir}/atq
%attr(755,root,root) %{_bindir}/atrm
%attr(755,root,root) %{_bindir}/batch
%{_mandir}/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(fi) %{_mandir}/fi/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(hu) %{_mandir}/hu/man*/*
%lang(id) %{_mandir}/id/man*/*
%lang(it) %{_mandir}/it/man*/*
%lang(ja) %{_mandir}/ja/man*/*
%lang(ko) %{_mandir}/ko/man*/*
%lang(pl) %{_mandir}/pl/man*/*
%attr(750,root,root) %dir /var/spool/at
%attr(750,root,root) %dir /var/spool/at/spool
%attr(600,root,root) %ghost /var/spool/at/.SEQ

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: at.spec,v $
Revision 1.66  2006/05/11 20:40:24  glen
- rel 31

Revision 1.65  2006/02/24 15:20:04  glen
- use %service

Revision 1.64  2005/07/07 17:19:02  darekr
- unify

Revision 1.63  2004/12/17 21:39:21  saq
- don't capitalize command names

Revision 1.62  2004/12/17 21:25:20  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.61  2004/12/17 08:20:26  roman
- added timespec do docs (mentioned in the man page)
- release 30
- STBR

Revision 1.60  2004/08/10 18:40:59  averne
- rel 29

Revision 1.59  2003/08/06 16:30:36  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.58  2003/07/29 15:12:19  qboosh
- more specific Requires

Revision 1.57  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.56  2003/05/25 05:45:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.55  2002/12/20 19:03:27  blues
- release 28 - fixed filename in sysconfig - BTS #507
- STBR to updates/general

Revision 1.54  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.53  2002/09/17 11:03:48  ankry
- create /var/spool/at/.SEQ in %%post. at is unable to do it
- release 27

Revision 1.52  2002/05/22 14:05:28  kloczek
- release 26,
- merge dst and env-tng patches from RH,
- merge translations from KSI and Conectiva,
- use new %doc packing infrastrucrure.

Revision 1.51  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.50  2002/04/25 15:49:26  arturs
fixed a small typo

Revision 1.49  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.46  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2002/01/17 00:42:21  misiek
SECURITY FIXES from SuSE; release 18

Revision 1.44  2001/10/18 17:50:02  ankry
- added es,fi,fr,hu,id,it,ja,ko man pages
- fixed build with no cron spool dir present
- BuildRequires flex
- fix paths in man pages via patch
- release 17

Revision 1.43  2001/10/15 10:26:46  marcus
- workaround for old config.sub file (BR: automake)

Revision 1.42  2001/10/08 12:39:53  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.41  2001/07/27 19:45:04  blues
- release 17
- aclocal removed (works without)
- Buildrequires added: autoconf
- ac 2.5 ready

Revision 1.40  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.36  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.35  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.34  2000/06/29 17:17:46  kloczek
- merged mew debian patches,
- merged buflen parch from rawhide,
- new %description.

Revision 1.33  2000/06/29 14:37:46  zagrodzki
- uses /usr/lib/sendmail instead of mailx

Revision 1.32  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.30  2000/04/01 21:47:13  kloczek
- "Requires: rc-scripts >= 0.2.0",
- added autoconf to BuildRequires.

Revision 1.29  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.27  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.26  2000/02/16 06:50:09  kloczek
- release 14,
- spec adapetrized,
- added pl man pages,
- more rpm macros.

Revision 1.25  2000/02/02 11:05:19  waszi
- small fixes in permissions for init.d

Revision 1.24  1999/09/11 13:28:35  misiek
- fixed requires (PR#25)

Revision 1.23  1999/07/23 19:06:51  kloczek
- standarized init script for atd.

Revision 1.22  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Jun 01 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
-  misc changes -- FHS 2.0 ready

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1.8-7]
- now package is FHS 2.0 compliant,
- recompiled on new rpm.

* Thu Mar 25 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1.7-6]
- added at.patch adopted from latest Debian source which fix man pages,
  lex relayted bugs, displaing corectly dates in am/pm format and fiew
  others,
- modifications %post, %preun for standarizing this section; this allow stop
  service on uninstall and automatic restart on upgrade,
- changed permission (to more liberal).

* Sun Sep 13 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [3.1.7-5d]
- build against glibc-2.1,
- translation modified for pl,
- fixed files permissions,
- macro %%{name}-%%{version} in Source,
- macro %%{name}-%%{version} in Patch,
- removed conflicts: crontabs <= 1.5,
- added %ghost /var/spool/at/.SEQ,
- added %defattr and %doc,
- minor modifications of spec file.

* Thu Sep  8 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1.7-5]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added using $RPM_OPT_FLAGS during compile,
- atq(1), atrm(1), batch(1) man pages are now maked as nroff include to at(1)
  instead making sym link to at.1 (this allow compress man pages in future),
- added using %{SOURCE#} macro in %install,
- smarter instaling %doc,
- changed permission on some executables.
- added %attr and %defattr macros in %files (allow build package from
  non-root account),
- start at RH spec.
